Package twisted :: Package tap :: Module news :: Class Options |
[show private | hide private]
[frames | no frames]

## Class Options

    UserDict --+
               |
         Options --+
                   |
                  Options

Method Summary
| `__init__(self)`
| `__cmp__(self, dict)` (inherited from `UserDict`)
| `__contains__(self, key)` (inherited from `UserDict`)
| `__delitem__(self, key)` (inherited from `UserDict`)
| ``__getattr__`(self, attr)` I make sure that old style 'optObj.option' access still works. (inherited from `Options`)
| `__getitem__(self, key)` (inherited from `UserDict`)
| `__hash__(self)` (inherited from `Options`)
| `__len__(self)` (inherited from `UserDict`)
| `__repr__(self)` (inherited from `UserDict`)
| `__setitem__(self, key, item)` (inherited from `UserDict`)
| `__str__(self, width)` (inherited from `Options`)
| `clear(self)` (inherited from `UserDict`)
| `copy(self)` (inherited from `UserDict`)
| `get(self, key, failobj)` (inherited from `UserDict`)
| `has_key(self, key)` (inherited from `UserDict`)
| `items(self)` (inherited from `UserDict`)
| `iteritems(self)` (inherited from `UserDict`)
| `iterkeys(self)` (inherited from `UserDict`)
| `itervalues(self)` (inherited from `UserDict`)
| `keys(self)` (inherited from `UserDict`)
| ``opt_group`(self, group)` The name of a newsgroup to carry.
| ``opt_help`(self)` Display this help and exit. (inherited from `Options`)
| ``opt_moderator`(self, moderator)` The email of the moderator for the most recently passed group.
| ``opt_server`(self, server)` The address of a Usenet server to pass messages to and receive messages from.
| ``opt_subscription`(self, group)` A newsgroup to list as a recommended subscription.
| `opt_version(self)` (inherited from `Options`)
| ``parseArgs`(self)` I am called with any leftover arguments which were not options. (inherited from `Options`)
| ``parseOptions`(self, options)` The guts of the command-line parser. (inherited from `Options`)
| `popitem(self)` (inherited from `UserDict`)
| ``postOptions`(self)` I am called after the options are parsed. (inherited from `Options`)
| `setdefault(self, key, failobj)` (inherited from `UserDict`)
| `update(self, dict)` (inherited from `UserDict`)
| `values(self)` (inherited from `UserDict`)

Class Variable Summary
`NoneType` | `groups`
`list` | `optParameters`
`NoneType` | `servers`
`NoneType` | `subscriptions`
`str` | `synopsis`

Method Details

### opt_group(self, group) The name of a newsgroup to carry.

### opt_moderator(self, moderator) The email of the moderator for the most recently passed group.

### opt_server(self, server) The address of a Usenet server to pass messages to and receive messages from.

### opt_subscription(self, group) A newsgroup to list as a recommended subscription.

Class Variable Details

    ### groups Type: `NoneType` Value:
        None

    ### optParameters Type: `list` Value:
        [['port', 'p', '119', 'Listen port'],
         ['interface', 'i', '', 'Interface to which to bind'],
         ['datadir', 'd', 'news.db', 'Root data storage path'],
         ['mailhost', 'm', 'localhost', 'Host of SMTP server to use']]

    ### servers Type: `NoneType` Value:
        None

    ### subscriptions Type: `NoneType` Value:
        None

    ### synopsis Type: `str` Value:
        'Usage: mktap news [options]'

Generated by Epydoc 1.1 on Thu May 8 13:16:55 2003 | http://epydoc.sf.net